#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Compile with LFS support.
export DEB_CPPFLAGS_MAINT_APPEND = \
	$(if $(filter $(DEB_HOST_ARCH_BITS),32),-D_FILE_OFFSET_BITS=64)

# Set these variables for the test suite.
export LARCH_PATH := .:$(CURDIR)/lib
export LCLIMPORTDIR := .:$(CURDIR)/imports

MUTABLE_FILES := aclocal.m4 bin/Makefile.in config/depcomp config.hin \
	config/install-sh config/missing config/mkinstalldirs configure \
	doc/Makefile.in imports/Makefile.in lib/Makefile.in lib/posix.lcd \
	lib/posixstrict.lcd lib/standard.lcd lib/standardstrict.lcd \
	lib/unix.lcd lib/unixstrict.lcd Makefile.in src/cgrammar.c \
	src/llgrammar.c src/Makefile.in src/signature.c test/Makefile.in

# Force non-parallel builds, as splint
# sometimes fails to build in parallel.
%:
	dh $@ --no-parallel

override_dh_update_autotools_config:
	dh_update_autotools_config
	for f in $(MUTABLE_FILES); do \
		cp -an $$f $$f.orig; \
	done

override_dh_clean:
	dh_clean -X.orig
	for f in $(MUTABLE_FILES); do \
		test ! -f $$f.orig || mv -f $$f.orig $$f; \
	done

override_dh_auto_configure-arch:
	dh_auto_configure -a

override_dh_auto_configure-indep:

override_dh_auto_build-indep:

override_dh_auto_test-arch:
	dh_auto_test -a -- -C test

override_dh_auto_test-indep:

override_dh_auto_install-indep:

override_dh_install:
	dh_install -psplint-data -X.lcd -XMakefile
	dh_install --remaining-packages

override_dh_installdocs-indep:
	dh_installdocs -i
	( cd debian/splint-doc-html/usr/share/doc/splint-doc-html/html; \
		mv manual.htm manual.html; mv realloc.htm realloc.html )

override_dh_installchangelogs:
	dh_installchangelogs doc/changes.html
